﻿using System;
using System.Xml.Serialization;
using RhythmBullet.Zer01HD.Utilities.DataTypes;
using RhythmBullet.Zer01HD.Utilities.Persistence;

namespace RhythmBullet.Zer01HD.Game.Preferences
{
    public class General : Utilities.Persistence.Preferences
    {
        public Resolution Resolution = new Resolution(1920, 1080);
        public bool Fullscreen = false;
        public float MusicVolume = 1f;
        public float FXVolume = 1f;
        public string MusicDirectory = Environment.GetFolderPath(Environment.SpecialFolder.MyMusic);
    }
}
